Uso de una versión diferente de Wwise - Guía del usuario de Lumberyard

Las traducciones son generadas a través de traducción automática. En caso de conflicto entre la traducción y la version original de inglés, prevalecerá la version en inglés.

Uso de una versión diferente de Wwise

Open 3D Engine (O3DE), el sucesor de Lumberyard, ya está disponible en Developer Preview. Descargar O3DEo visite elBlog de AWS Game Techpara obtener más información.

Lumberyard admite oficialmente la versión 2018.1.2.6762 de Wwise LTX y la versión 2018.1.4.4.6807 completa de Wwise.

También puede usar una versión anterior o más reciente de Wwise. Sin embargo, Lumberyard ya no es compatible con las versiones 2016 y anteriores.

Siga este procedimiento para usar la versión 2017 de Wwise.

Para configurar Lumberyard para la versión 2017 de Wwise

  1. Vaya al directorio lumberyard_version\dev\Gems\AudioEngineWwise\Code.

  2. Abra el archivo wwise_backwards_compatibility.README.txt en un editor de texto.

  3. Siga las instrucciones que se detallan en el archivo. A continuación se muestra una descripción general de las instrucciones.

    1. Descargue una versión de 2017 de Wwise.

    2. Copie el directorio Wwise_version\SDK del directorio de instalación de Wwise al directorio lumberyard_version\3rdParty\Wwise.

    3. En el editor de texto, abra el archivo lumberyard_version\dev\SetupAssistantConfig.json y modifique la versión de Wwise en el archivo.

      Esto configura Lumberyard Setup Assistant para que busque esa versión específica en su lugar.

    4. Añada un archivo .json que define el SDK de Wwise 2017 para WAF.

  4. Después de completar estos pasos, ejecute Lumberyard Setup Assistant ylmbr_waf configurepara comprobar si hay errores.

    Si no se producen errores, compile Lumberyard Editor y Engine para Wwise 2017.

Audiokinetic publica con frecuencia nuevas versiones de Wwise. Las versiones posteriores pueden ser compatibles con la versión actual admitida por Lumberyard sin necesidad de realizar cambios importantes en el código. Sin embargo, las revisiones secundarias pueden contener actualizaciones de API que requieran hacer cambios en el código en Lumberyard. Las revisiones principales pueden requerir cambios en el código y una migración mayor.

Si desea cambiar a versiones posteriores de Wwise, utilice el siguiente procedimiento.

Para configurar Lumberyard para una versión posterior de Wwise, realice el siguiente procedimiento:

  1. Descargue la versión de Wwise que desee.

  2. Copie el directorio Wwise_version\SDK del directorio de instalación de Wwise al directorio lumberyard_version\3rdParty\Wwise\your_new_wwise_version.

  3. En un editor de texto, abra el archivo lumberyard_version\dev\SetupAssistantConfig.json y sustituya las apariciones de 2018.1.4.6807 por la versión que descargó.

    De esta forma, configura Lumberyard Setup Assistant para buscar la versión que ha especificado.

    SetupAssistantConfig.json contiene una sección para Wwise y una sección independiente para Wwise LTX. Modifique únicamente la sección Wwise.

  4. Guarde y cierre el archivo SetupAssistantConfig.json.

  5. Ejecute Lumberyard Setup Assistant. A continuación, compruebe que la nueva versión del SDK de Wwise esté configurada correctamente en la página Instalación de SDK opcionales.

    Notará que las instrucciones de configuración de Lumberyard Setup Assistant todavía mencionan Wwise 2018.1.4.6807. Puede omitir este texto.

  6. Complete los pasos para actualizar Wwise.